import React, { lazy, Suspense } from 'react';
import PropTypes from 'prop-types';
var DynamicProvider = /*#__PURE__*/lazy(function () {
  return import('react-redux').then(function (module) {
    return {
      "default": module.Provider
    };
  })["catch"](function () {
    return {
      "default": function _default(_ref) {
        var children = _ref.children;
        return children;
      }
    };
  });
});

/**
 * @memberof module:React
 * @param {Object} props
 */
export default function OptionalReduxProvider(_ref2) {
  var _ref2$store = _ref2.store,
    store = _ref2$store === void 0 ? null : _ref2$store,
    children = _ref2.children;
  if (store === null) {
    return children;
  }
  return /*#__PURE__*/React.createElement(Suspense, {
    fallback: null
  }, /*#__PURE__*/React.createElement(DynamicProvider, {
    store: store
  }, /*#__PURE__*/React.createElement("div", {
    "data-testid": "redux-provider"
  }, children)));
}
OptionalReduxProvider.propTypes = {
  store: PropTypes.shape(),
  children: PropTypes.node.isRequired
};
//# sourceMappingURL=OptionalReduxProvider.js.map